package network

import (
	"net"
)

//Conn 连接可以读写数据，可以关闭、销毁，可以取通信地址

type Conn interface {
	ReadMsg() ([]byte, error)
	WriteMsg(args ...[]byte) error
	LocalAddr() net.Addr
	RemoteAddr() net.Addr
	Close()
	Destroy()
}
